Bug 619814 - [Qlogic 5.6 bug] qla2xxx: Back port of upstream fixes
[Qlogic 5.6 bug] qla2xxx: Back port of upstream fixes
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
high Severity high
: rc
: 5.6
Assigned To: Chad Dupuis (Cavium)
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 557597
  Show dependency treegraph
 
Reported: 2010-07-30 11:34 EDT by Chad Dupuis (Cavium)
Modified: 2011-01-13 16:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:47:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patches.tar (18.00 KB, application/x-tar)
2010-07-30 11:34 EDT, Chad Dupuis (Cavium)
no flags Details
Update to AER support: do early abort command (2.28 KB, patch)
2010-08-06 04:48 EDT, Saurav Kashyap
no flags Details | Diff
qla2xxx:Rom lock recovery in case fw hangs while holding the lock (2.42 KB, patch)
2010-08-16 07:08 EDT, Saurav Kashyap
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Chad Dupuis (Cavium) 2010-07-30 11:34:41 EDT
Created attachment 435588 [details]
patches.tar

Contains miscellaneous bug fixes back ported from upstream to keep RHEL 5 and upstream as in sync. as possible.
Comment 1 RHEL Product and Program Management 2010-08-03 22:29:01 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Saurav Kashyap 2010-08-06 04:48:50 EDT
Created attachment 437074 [details]
Update to AER support: do early abort command

Update to AER support do early abort command
Comment 3 Rob Evers 2010-08-12 16:32:21 EDT
Chad,

Please comment on whether the 2nd patch in set should be removed for now, or updated with an expected but currently TBD update from upstream.

Subject: [PATCH] qla2xxx: Return DID_TRANSPORT_DISRUPTED on reset completion status.

The equivalent patch was backed out of rhel6.

Rob
Comment 4 Chad Dupuis (Cavium) 2010-08-13 15:30:59 EDT
(In reply to comment #3)
> Chad,
> 
> Please comment on whether the 2nd patch in set should be removed for now, or
> updated with an expected but currently TBD update from upstream.
> 
> Subject: [PATCH] qla2xxx: Return DID_TRANSPORT_DISRUPTED on reset completion
> status.
> 
> The equivalent patch was backed out of rhel6.
> 
> Rob    

The second patch shouldn't be applied for now, e.g. qla2xxx: Return DID_TRANSPORT_DISRUPTED on reset completion status.  I traced the RHEL 5 SCSI layer return code and it has almost the same behavior as upstream (2.6.35).  The big difference is that we still have scsi_error_handler() in the 2.6.18 kernel so the retries could be slowed slightly but it's probably not worth the risk.
Comment 5 Saurav Kashyap 2010-08-16 07:08:11 EDT
Created attachment 438922 [details]
qla2xxx:Rom lock recovery in case fw hangs while holding the lock

Rom lock recovery in case fw hangs while holding the lock
Comment 15 Jarod Wilson 2010-09-15 10:01:32 EDT
in kernel-2.6.18-221.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 17 Chris Ward 2010-11-09 08:27:32 EST
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).
Comment 18 Chris Ward 2010-12-02 10:24:05 EST
Reminder! There should be a fix present for this BZ in snapshot 3 -- unless otherwise noted in a previous comment.

Please test and update this BZ with test results as soon as possible.
Comment 19 Chad Dupuis (Cavium) 2010-12-02 15:45:42 EST
Verified at QLogic.
Comment 21 errata-xmlrpc 2011-01-13 16:47:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.